/*
_____       _    _    Corso   Italia,  178
(_|__   .  (_   |_|_  56125           Pisa
(_|_) |)|(()_)()| |   tel.  +39  050 46380
  |   |               picosoft@picosoft.it

 Copyright (C) Picosoft s.r.l. 1995-2002

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/
package IT.picosoft.jdbc;

import java.io.*;
import java.math.BigDecimal;
import java.sql.*;
import java.util.Calendar;
import java.util.Map;
import java.util.Hashtable;

public class PicoCallableStatement extends PicoPreparedStatement
   implements CallableStatement {

   public PicoCallableStatement(PicoConnection con, PicoDbApi api)
                                                        throws SQLException {
      super(con, api);
   }

   public Array getArray(int paramIndex) {
      throw new UnsupportedOperationException();
   }

   public Array getArray(String paramName) {
      throw new UnsupportedOperationException();
   }

   public BigDecimal getBigDecimal(int paramIndex) {
      throw new UnsupportedOperationException();
   }

   public BigDecimal getBigDecimal(String paramName) {
      throw new UnsupportedOperationException();
   }

   public BigDecimal getBigDecimal(int paramIndex, int j) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public Blob getBlob(int paramIndex) {
      throw new UnsupportedOperationException();
   }

   public Blob getBlob(String paramName) {
      throw new UnsupportedOperationException();
   }

   public boolean getBoolean(int paramIndex) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public boolean getBoolean(String paramName) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public byte getByte(int paramIndex) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public byte getByte(String paramName) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public byte[] getBytes(int paramIndex) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public byte[] getBytes(String paramName) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public Clob getClob(int paramIndex) {
      throw new UnsupportedOperationException();
   }

   public Clob getClob(String paramName) {
      throw new UnsupportedOperationException();
   }

   public Date getDate(int paramIndex) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public Date getDate(String paramName) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public Date getDate(int paramIndex, Calendar calendar) {
      throw new UnsupportedOperationException();
   }

   public Date getDate(String paramName, Calendar calendar) {
      throw new UnsupportedOperationException();
   }

   public double getDouble(int paramIndex) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public double getDouble(String paramName) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public float getFloat(int paramIndex) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public float getFloat(String paramName) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public int getInt(int paramIndex) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public int getInt(String paramName) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public long getLong(int paramIndex) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public long getLong(String paramName) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public Object getObject(int paramIndex) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public Object getObject(String paramName) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public Object getObject(int paramIndex, Map map) {
      throw new UnsupportedOperationException();
   }

   public Object getObject(String paramName, Map map) {
      throw new UnsupportedOperationException();
   }

   public Ref getRef(int paramIndex) {
      throw new UnsupportedOperationException();
   }

   public Ref getRef(String paramName) {
      throw new UnsupportedOperationException();
   }

   public short getShort(int paramIndex) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public short getShort(String paramName) throws SQLException {
      throw new UnsupportedOperationException();
   }

   protected int getSqlType(int paramIndex) {
      throw new UnsupportedOperationException();
   }

   public String getString(int paramIndex) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public String getString(String paramName) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public Time getTime(int paramIndex) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public Time getTime(String paramName) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public Time getTime(int paramIndex, Calendar calendar) {
      throw new UnsupportedOperationException();
   }

   public Time getTime(String paramName, Calendar calendar) {
      throw new UnsupportedOperationException();
   }

   public Timestamp getTimestamp(int paramIndex) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public Timestamp getTimestamp(String paramName) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public Timestamp getTimestamp(int paramIndex, Calendar calendar) {
      throw new UnsupportedOperationException();
   }

   public Timestamp getTimestamp(String paramName, Calendar calendar) {
      throw new UnsupportedOperationException();
   }

   public java.net.URL getURL(int paramIndex) {
      throw new UnsupportedOperationException();
   }

   public java.net.URL getURL(String paramName) {
      throw new UnsupportedOperationException();
   }

   public void setAsciiStream (String paramName, InputStream x, int len)
                                                       throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setBinaryStream (String paramName, InputStream x, int len)
                                                       throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setBigDecimal(String paramName, BigDecimal x)
                                                       throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setBoolean(String paramName, boolean x) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setByte(String paramName, byte x) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setShort(String paramName, short x) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setInt(String paramName, int x) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setLong(String paramName, long x) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setDouble(String paramName, double x) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setFloat(String paramName, float x) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setString(String paramName, String x) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setBytes(String paramName, byte x[]) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setDate(String paramName, Date x) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setDate(String paramName, Date x, java.util.Calendar cal)
                                                          throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setTime(String paramName, Time x) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setTime(String paramName, Time x, java.util.Calendar cal)
                                                          throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setTimestamp(String paramName, Timestamp x) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setTimestamp(String paramName, Timestamp x,
                                  java.util.Calendar cal) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setObject(String paramName, Object x) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setObject(String paramName,Object x,int targetSqlType,int scale)
                                                           throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setObject(String paramName, Object x, int targetSqlType)
                                                          throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void setCharacterStream (String paramName, Reader x, int len)
                                                       throws SQLException {
      throw new UnsupportedOperationException();
   }
/*
   public void setBlob(String paramName, Blob x) {
      throw new UnsupportedOperationException();
   }

   public void setClob(String paramName) {
      throw new UnsupportedOperationException();
   }

   public void setDate(String paramName) {
      throw new UnsupportedOperationException();
   }

   public void setRef(String paramName) {
      throw new UnsupportedOperationException();
   }

   protected int setSqlType(String paramName) {
      throw new UnsupportedOperationException();
   }

   public void setTime(String paramName) {
      throw new UnsupportedOperationException();
   }

   public void setTimestamp(String paramName) {
      throw new UnsupportedOperationException();
   }

*/
   public void setURL(String paramName, java.net.URL url) {
      throw new UnsupportedOperationException();
   }

   public void setNull(String paramName, int sqlType) {
      throw new UnsupportedOperationException();
   }

   public void setNull(String paramName, int sqlType, String typeName) {
      throw new UnsupportedOperationException();
   }

   protected boolean isNull(int paramIndex) throws SQLException {
      throw new UnsupportedOperationException();
   }

   protected boolean isOutputParameter(int paramIndex) {
      throw new UnsupportedOperationException();
   }

   public void registerOutParameter(int paramIndex, int sqlType)
                                                          throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void registerOutParameter(int paramIndex, int sqlType, int scale)
                                                          throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void registerOutParameter(int paramIndex, int sqlType,
                                         String typeName) throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void registerOutParameter(String paramName, int sqlType)
                                                          throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void registerOutParameter(String paramName, int sqlType, int scale)
                                                          throws SQLException {
      throw new UnsupportedOperationException();
   }

   public void registerOutParameter(String paramName, int sqlType,
                                         String typeName) throws SQLException {
      throw new UnsupportedOperationException();
   }

   protected void setOutputParameter(int paramIndex, boolean flag) {
      throw new UnsupportedOperationException();
   }

   protected void setOutputParameter(String s, int i) {
      throw new UnsupportedOperationException();
   }

   protected void setSqlType(int paramIndex, int j) {
      throw new UnsupportedOperationException();
   }

   public boolean wasNull() throws SQLException {
      throw new UnsupportedOperationException();
   }
}
